uniform float uniTexRatioWH;
uniform vec4 CenterXY_Radius_Coeff;

//uniform float uniRadius;
//uniform float uniCoeff;


varying vec2  coords;

#ifdef VERTEX_SHADER

void main(void)
{
    coords = vec2(0.5 * atbCoord + 0.5);
    gl_Position = vec4(atbCoord, 0.0, 1.0);
}

#endif


#ifdef FRAGMENT_SHADER

void main()
{
    vec2 finalCoords = coords;

    vec2 uniCenter = vec2(CenterXY_Radius_Coeff.x, CenterXY_Radius_Coeff.y);

    vec2 norm = vec2(1.0, 1.0 / uniTexRatioWH);
    vec2 fromCenter = (coords - uniCenter) * norm;
    float dist = length(fromCenter);

    float uniRadius = CenterXY_Radius_Coeff.z;

    if ( dist < uniRadius ) {
        float uniCoeff = CenterXY_Radius_Coeff.w;
        float multiplier = uniCoeff + ((1.0-uniCoeff)/uniRadius)*dist;
        finalCoords = uniCenter + fromCenter * multiplier / norm;
    }

    gl_FragColor = texture2D(uniImage, finalCoords);

}
#endif
