"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var proto_1 = require("./proto");
var SerengetiBridge_1 = require("SerengetiBridge");
// wrapper for marshalling/unmarshalling to call the native hook setShowWatchedState
function doSetShowWatchedState(watchedStates, callback) {
    var rawStates = {};
    for (var itemId in watchedStates) {
        var watchedState = watchedStates[itemId];
        if (watchedState) {
            var raw = proto_1.impala.WatchedState.encode(watchedState);
            rawStates[itemId] = raw;
        }
        else {
            rawStates[itemId] = null;
        }
    }
    SerengetiBridge_1.setShowWatchedState({ watchedStates: rawStates }, function (err, res) {
        if (err) {
            callback(err, {});
            return;
        }
        var result = {};
        for (var key in res) {
            var raw = res[key];
            var watchedState = proto_1.impala.WatchedState.decode(raw);
            result[watchedState.itemId] = watchedState;
        }
        callback(null, result);
    });
}
exports.doSetShowWatchedState = doSetShowWatchedState;
